#include <stdio.h>

int main()
{
    int L,N;
    
    scanf("%d" "%d", &N, &L);
    
    int H[N];
    for (int i=0; i<=N-1; i++){
        scanf("%d", &H[i]);
    }
    
    for (int i=0; i<=N-1; i++){
        if (H[i]<=L){
            printf ("%d", i+1);
            return 0;
        }
    }
    printf ("-1");

    return 0;
}